#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'gtk_paradise/require_gtk2'
require 'colours/colours_e_autoinclude.rb'

include Gtk::BaseModule

array = %w( abc def ghi jkl mno )

e 'Testing Gtk::ComboBox next:'

# combo_box = gtk_combo_box(array, true)
combo_box = Gtk::ComboBox.new(true)
array.each {|entry|
  combo_box.append_text(entry)
}
combo_box.active = 1
r = Gtk.run
r.width_height(800, 600)
r.increase_font_size
r << Gtk.add_notebook(combo_box)
r.top_left_then_show
r.run